CATMAN(8)

NAAM
catman - create or update the pre-formatted manual pages

SAMENVATTING
catman [-d?V] [-M path] [-C file] [section] ...

BESCHRIJVING
catman is used to create an up to date set of pre-formatted manual pages known as cat pages. Cat pages are generally much faster to display than the original manual pages, but require extra storage space. The decision to support cat pages is that of the local administrator, who must provide suitable directories to contain them.

The options available to catman are the manual page hierarchies and sections to pre-format. The default hierarchies are those specified as system hierarchies in the man-db configuration file, and the default sections are either the colon-delimited contents of the environment variable $MANSECT or the standard set compiled into man if $MANSECT is undefined. Supplying catman with a set of whitespace-delimited section names will override both of the above.

catman makes use of the index database cache associated with each hierarchy to determine which files need to be formatted.

OPTIES

-d, --debug
    Foutinformatie tonen.

-M pad, --manpath=pad
    Specify an alternate colon-delimited manual page hierarchy search path. By default, this is all paths indicated as system hierarchies in the man-db configuration file.

-C bestand, --config-file=bestand
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    Een hulptekst tonen en stoppen.

--usage
    Print a short usage message and exit.

-V, --version
    Versieinformatie tonen.

OMGEVING

MANSECT
    If $MANSECT is set, its value is a colon-delimited list of sections and it is used to determine which manual sections to search and in what order. The default is "1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7", unless overridden by the SECTION directive in /etc/manpath.config.

MANPATH
    Wanneer $MANPATH is opgegeven, wordt de waarde geïnterpreteerd als een zoekpad van dubbelepuntgescheiden hiërarchie van man-pagina's.

    See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

BESTANDEN

/etc/manpath.config
    man-db-configuratiebestand.

/usr/man/index.(bt|db|dir|pag)
    Een traditionele, algemene index-database-cache.

/var/catman/index.(bt|db|dir|pag)
    An alternate or FSSTND compliant global index database cache.

ZIE OOK
man(1), manpath(5), mandb(8)

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

BUGS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db